import * as $dara from '@darabonba/typescript';
import { DescribeExposedInstanceDetailResponseBody } from "./DescribeExposedInstanceDetailResponseBody";
export declare class DescribeExposedInstanceDetailResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeExposedInstanceDetailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
